| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
0
answer = min(answer, a[i] ^ b[j] + solve(i + 1, (mask ^ (1 << j)), n, a, b)); Plus operator has higher priority than xor so correct statement should be answer = min(answer, (a[i] ^ b[j]) + solve(i + 1, (mask ^ (1 << j)), n, a, b)); Second thing is dp size should be maximum dp[14][1<<14]. Hope it helps. |
|
On
dakshgarg →
Invitation to SpyBits, Udyam’21 — IIT (BHU) Varanasi (Rated for Div. 2 & Div. 3), 5 years ago
+2
My N(LogN)^2 is passing. |
|
0
Please predict mine as well. |
|
0
Thanks. |
|
+6
How is the checker implemented for DIANE? |
|
+5
We can not build a square having length greater than sqrt(4*n+m). Let x=sqrt(4*n+m). if x is even then the whole x by x grid can be divide into 2 by 2 squares. So we will use the maximum possible 2 by 2 squares and since 4*n+m>=x*x so simply x is the answer. if x is odd then the maximum possible 2 by 2 squares that can be used is ((x-1)*(x-1))/4; Let val1=((x-1)*(x-1))/4. So 2 by 2 squares used will be min(val1,n); now if 4*min(val1,n)+m>=x*x then x is answer otherwise x-1 is the answer. Hope it helps. |
|
+17
I know this but what about this problem?How are you going to apply lazy propagation here? |
|
+17
how? |
|
+4
There is an ABC this sunday. |
|
0
how many problems will be there? |
|
+3
O(2^logn)=O(n) |
|
+26
Even 2*10^6 would have avoided inefficient solutions passing so there was no point for this much strict constraints. |
|
-6
What was your complexity? |
|
+1
I used cin,cout with ios_base in 3rd problem and wrote a O(n) solution and it gave me tle 5 times until i used scanf,printf.There should not be this strict bound on constraints.This is always an issue on codechef. |
|
-178
There are six problemsetters for educational round so setting six problems in a month is not a tough task so you should not feel bad for authors. |
|
0
print each test-case output in newline. |
|
+116
Problem B was written terribly and also sample explantions were really bad. I won't say that the round should be unrated but it was one of the worst rounds by far in terms of problem statements. |
|
+3
All of them. |
|
+2
I just read the WA code again and again and it works most of the times. |
|
On
diradon →
array of vector is faster than vector of vector for storing adjaceny list?, 6 years ago
+14
vector<vector> adj when passed as an argument to dfs function makes copies of itself each time recursion is called.On the other hand vector adj[] does not make copies of itself when dfs is called recursively. I think this is the reason.Please Correct me if i am wrong. |
|
+9
sum of n over all test cases does not exceed 1024. |
|
0
total sequences are 92378 in worst case. C(19,10)=92378 |
|
0
editorial in english is available some days after the contest |
|
+12
test cases for f were too weak 7 1 1 1 1 1 1 1 my program was giving output 4 instead of 3 and yet it got accepted |
| Name |
|---|


